GetAccountBalance
POST
Get the account balance in a specific block.(Note: At present, the interface data can only be queried through the following official nodes 13.228.119.63 & 18.139.193.235 & 18.141.79.38 & 18.139.248.26)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
account_identifierstringrequired
Object containing the account address. Example: { "address": "TLLM21wteSPs4hKjbxgmH1L6poyMjeTbHm" } block_identifierstringrequired
Object containing the block number and hash. Example: { "hash": "0000000000010c4a732d1e215e87466271e425c86945783c3d3f122bfa5affd9", "number": 68682 }visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
balanceinteger
TRX balance, in sun (1 TRX = 1,000,000 sun).hashstring
Block hash.numberinteger
Block number.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getaccountbalance' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"account_identifier": "{ \"address\": \"TLLM21wteSPs4hKjbxgmH1L6poyMjeTbHm\" }","block_identifier": "{ \"hash\": \"0000000000010c4a732d1e215e87466271e425c86945783c3d3f122bfa5affd9\", \"number\": 68682 }"}'